
import sys

from time import sleep
from datetime import datetime
import clr
clr.AddReference('System.Drawing')
clr.AddReference('System.Windows.Forms')
clr.AddReference('System.Data')

import System
from System.Collections.Generic import List
from System import Byte
from System.Drawing import Point, Color, Size
from System.Windows.Forms import (Application, Button, Form, BorderStyle, 
    Label, FlatStyle, DataGridView, DataGridViewAutoSizeColumnsMode,
    DataGridViewSelectionMode, DataGridViewEditMode, RadioButton, GroupBox, TextBox, 
    CheckBox, ProgressBar, Timer, EventHandler)
from System.Data import DataTable
from System.Threading import ThreadStart, Thread

class SimpleTextBoxForm(Form):
    def __init__(self):
        self.Text = "UO Bars"
        self.BackColor = Color.FromArgb(25,25,25)
        self.ForeColor = Color.FromArgb(231,231,231)
        self.Width = 170
        self.Height = 600
        self.TopMost = True
        
        self.box = GroupBox()
        self.box.BackColor = Color.FromArgb(25,25,25)
        self.box.ForeColor = Color.FromArgb(23,221,23)
        self.box.Size = Size(145, 55)
        self.box.Location = Point(2, 2)
        
        hb = ProgressBar()
        hb.Minimum = 1
        hb.Maximum = 100
        hb.Step = 1
        hb.Value = 1
        hb.Location = Point(5, 33)
        hb.Width = 140
        hb.Height = 20
        self.prog = hb        
        hits = ((Player.Hits + .0)/Player.HitsMax)* 100
        Misc.SendMessage(hits,43)
        hit = int(hits)
        count = 0
        while count < hit:
            count +=1
            hb.PerformStep()
            
        self.button1 = Button()        
        self.button1.Text = Player.Name        
        self.button1.Location = Point(5, 10)
        self.button1.Width = 140        
        self.button1.Click += self.targetself
        
        self.Controls.Add(hb)       
        self.Controls.Add(self.button1)
        self.Controls.Add(self.box)
        
        self.update_timer = Timer()
        self.update_timer.Interval = 1000
        self.update_timer.Tick += EventHandler(Timer_Tick) 
        
        Misc.Pause(500)
    
    def Timer_Tick():
        Misc.SendMessage("Timer Tick")
        
    def Update(self):     
        hits = ((Player.Hits + .0)/Player.HitsMax)* 100
        Misc.SendMessage(hits,43)
        hit = int(hits)
        count = 0
        while count < hit:
            count +=1
            hb.PerformStep()
            hb.Update()
            Misc.Pause(5000)
        Misc.Pause(500)
          
    def targetself(self,sender, event):
        Target.Self()
 
    Misc.Pause(500)
Application.EnableVisualStyles()
  
form = SimpleTextBoxForm()

form.ShowDialog() 
#Application.Run(form)

  
